Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155786 - curl has dependency on location of openssl files
Summary: curl has dependency on location of openssl files
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: curl
Version: rawhide
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Ivana Varekova
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-23 00:17 UTC by Reuben Farrelly
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-26 13:37:45 UTC


Attachments (Terms of Use)

Description Reuben Farrelly 2005-04-23 00:17:51 UTC
Since the creation of /etc/pki and therefore removal of /usr/share/ssl, curl has
broken and no longer works without extra flags.
This is because it is looking in /usr/share/ssl etc

When curl is invoked:

Logging in...
curl: (60) error setting certificate verify locations:
  CAfile: /usr/share/ssl/certs/ca-bundle.crt
  CApath: none

More details here: http://curl.haxx.se/docs/sslcerts.html

curl performs SSL certificate verification by default, using a "bundle"
 of Certificate Authority (CA) public keys (CA certs). The default
 bundle is named curl-ca-bundle.crt; you can specify an alternate file
 using the --cacert option.
If this HTTPS server uses a certificate signed by a CA represented in
 the bundle, the certificate verification probably failed due to a
 problem with the certificate (it might be expired, or the name might
 not match the domain name in the URL).
If you'd like to turn off curl's verification of the certificate, use
 the -k (or --insecure) option.

Comment 1 Ivana Varekova 2005-04-26 13:37:45 UTC
Thank you for your notice.
This problem is fixed in curl-7.13.1-2. (Thanks Joe Orton.)
Ivana Varekova


Note You need to log in before you can comment on or make changes to this bug.